﻿using Microsoft.ML;
using System;

namespace Data_Transform
{
    class Program
    {
        static void Main(string[] args)
        {
            var mlContext = new MLContext();
            var data = mlContext.Data.LoadFromEnumerable(Data.Get());
            var pipeline = mlContext.Transforms.NormalizeMinMax("Size").Append(
                mlContext.Transforms.Categorical.OneHotEncoding(
                    new[]
                    {
                        new InputOutputColumnPair("TypeNorm","Type")
                    }))
                .Append(mlContext.Transforms.Text.FeaturizeText("DescriptionFeatures", "Description"));
            var transformedData = pipeline.Fit(data).Transform(data);
            var enumerableData = mlContext.Data.CreateEnumerable<TransformedData>(transformedData, true);
            foreach (var item in enumerableData)
                Console.WriteLine(item.Size + " " + string.Join(", ", item.TypeNorm));
            Console.ReadLine();
        }
    }
}